Skip to content

Service Provider Configuration

Describes the SCIM specification features available on service provider.

Retrieve service provider config

Request

This operation returns a JSON structure that describes the SCIM specification features available on a service provider.

The response is a JSON object using a "schemas" attribute of "urn:ietf:params:scim:schemas:core:2.0:ServiceProviderConfig".

Note: The attributes returned in the JSON object are defined in Section 5 of [RFC7643].

Security
BearerAuth
GET
/scim/v2/ServiceProviderConfig
curl -i -X GET \
  https://innovario.apishowdown.com/_mock/catalog/api-showdown/api-hub/admin/openapi/scim/v2/ServiceProviderConfig \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Successful GET operation

Bodyapplication/json
documentationUristring

An HTTP-addressable URL pointing to the service provider's human-consumable help documentation.

Example:"http://example.com/help/scim.html"
patchobjectrequired

A complex type that specifies PATCH configuration options. See Section 3.5.2 of [RFC7644].

Example:
{ "supported": true }
bulkobjectrequired

A complex type that specifies bulk configuration options. See Section 3.7 of [RFC7644].

Example:
{ "supported": true, "maxOperations": 1000, "maxPayloadSize": 1048576 }
filterobjectrequired

A complex type that specifies FILTER options. See Section 3.4.2.2 of [RFC7644].

Example:
{ "supported": true, "maxResults": 200 }
changePasswordobjectrequired

A complex type that specifies configuration options related to changing a password.

Example:
{ "supported": true }
sortobjectrequired

A complex type that specifies Sort configuration options.

Example:
{ "supported": true }
etagobjectrequired

A complex type that specifies ETag configuration options.

Example:
{ "supported": true }
authenticationSchemesArray of objectsrequired

A multi-valued complex type that specifies supported authentication scheme properties. To enable seamless discovery of configurations, the service provider SHOULD, with the appropriate security considerations, make the authenticationSchemes attribute publicly accessible without prior authentication.

Example:
[ { "name": "OAuth Bearer Token", "description": "Authentication scheme using the OAuth Bearer Token Standard", "specUri": "http://www.rfc-editor.org/info/rfc6750", "documentationUri": "http://example.com/help/oauth.html", "type": "oauthbearertoken", "primary": true }, { "name": "HTTP Basic", "description": "Authentication scheme using the HTTP Basic Standard", "specUri": "http://www.rfc-editor.org/info/rfc2617", "documentationUri": "http://example.com/help/httpBasic.html", "type": "httpbasic" } ]
resourceTypestring

The name of the resource type of the resource.

createdstring, (date-time)

The "DateTime" that the resource was added to the service provider.

lastModifiedstring, (date-time)

The most recent DateTime that the details of this resource were updated at the service provider.

locationstring

The URI of the resource being returned.

versionstring

The version of the resource being returned.

Response
{ "schemas": [ "urn:ietf:params:scim:schemas:core:2.0:ServiceProviderConfig" ], "documentationUri": "http://example.com/help/scim.html", "patch": { "supported": true }, "bulk": { "supported": true, "maxOperations": 1000, "maxPayloadSize": 1048576 }, "filter": { "supported": true, "maxResults": 200 }, "changePassword": { "supported": true }, "sort": { "supported": true }, "etag": { "supported": true }, "authenticationSchemes": [ {}, {} ], "meta": { "location": "https://example.com/v2/ServiceProviderConfig", "resourceType": "ServiceProviderConfig", "created": "2010-01-23T04:56:22Z", "lastModified": "2011-05-13T04:42:34Z" } }